/* .hd {
  width: auto;
  height: 4.166667rem;
  background-image: url(/img/ts-bg.png);
  background-size: 10rem 4.166667rem;
  padding: 1.5625rem 7.013889rem 0.375rem 0.694444rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.hd h2 {
  font-weight: 600;
  font-size: 0.25rem;
  line-height: 0.347222rem;
  color: #263764;
}
.hd p {
  font-size: 0.125rem;
  line-height: 0.173611rem;
  color: #a0adcb;
} */
/* header {
  background-color: rgba(240, 241, 245, 0.85);
  box-shadow: 40px 40px 100px rgba(24, 48, 63, 0.1);
  backdrop-filter: blur(0.291667rem);
} */
.hd {
  width: auto;
  height: 4.166667rem;
  /* background-image: url(/img/ts-bg.png); */
  background-size: 10rem 4.166667rem;
  padding: 0.694444rem 7.013889rem 0.375rem 0.694444rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  overflow: hidden;
}
.hd h2 {
  font-weight: 600;
  font-size: 0.25rem;
  line-height: 0.347222rem;
  color: #263764;
}
.hd p {
  font-size: 0.125rem;
  line-height: 0.173611rem;
  color: #a0adcb;
  text-align: justify;
}
/* 卡片区域 */
.explore {
  padding: 0.694444rem;
}
.explore-hd h3 {
  font-size: 0.305556rem;
  line-height: 140%;
  color: #384853;
  margin-top: 0.277778rem;
  margin-bottom: 0.083333rem;
}
.explore-hd p {
  font-weight: 500;
  font-size: 0.111111rem;
  line-height: 150%;
  color: #6b7b8a;
  margin-bottom: 0.277778rem;
}
.explore-bd {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-column-gap: 0.416667rem;
  grid-row-gap: 0.555556rem;
}
.card {
  border-radius: 0.138889rem;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}
.card:hover {
  transform: translateY(-0.138889rem);
  box-shadow: -0.046149rem -0.046149rem 0.138448rem #ffffff,
    0.069224rem 0.069224rem 0.138448rem rgba(174, 174, 192, 0.4);
}
.card:hover a .card-img {
  transform: scale(1.02);
}
.card a .card-img {
  height: 1.95314328rem;
  transition: all 0.3s ease-in-out;
}
.card-img {
  position: relative;
}
.card-img img {
  height: 1.95314328rem;
  transform: translate(-50%, 0);
  position: absolute;
  left: 1.29632812rem;
}
.card-t {
  display: flex;
  justify-content: space-between;
  font-weight: 600;
  font-size: 0.083333rem;
  line-height: 0.138889rem;
  letter-spacing: 0.013889rem;
  color: #6b7b8a;
  padding: 0.166667rem 0.166667rem 0.069444rem;
}
.card-t :nth-child(2) {
  color: rgba(107, 123, 138, 0.8);
  font-weight: 500;
}
.card a h4 {
  font-size: 0.208333rem;
  line-height: 140%;
  font-weight: 400;
  color: #263764;
  padding: 0rem 0.166667rem;
}
.card a > p {
  font-weight: 500;
  font-size: 0.097222rem;
  line-height: 200%;
  letter-spacing: 0.1em;
  text-align: justify;
  color: #a0adcb;
  padding: 0.069444rem 0.166667rem 0rem;
}
.card-f {
  display: flex;
  font-weight: 600;
  font-size: 0.090278rem;
  line-height: 0.138889rem;
  letter-spacing: 1.5px;
  color: #7239ff;
  padding: 0.347222rem 0.166667rem 0.166667rem;
}
.card-f p {
  margin-right: 0.138889rem;
}
/* 动画区域 */

#bongo-cat {
  position: absolute;
  height: 80vh;
  width: 72vw;
  top: 0.694444rem;
  /* left: 0; */
  right: -0.833333rem;
  margin: auto;
}

.typing-animation {
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
  -webkit-animation-duration: 1200ms;
  animation-duration: 1200ms;
}

path#f1-l1 {
  -webkit-animation-name: typing-f1-l1;
  animation-name: typing-f1-l1;
}

path#f1-l2 {
  -webkit-animation-name: typing-f1-l2;
  animation-name: typing-f1-l2;
}

path#f1-l3 {
  -webkit-animation-name: typing-f1-l3;
  animation-name: typing-f1-l3;
}

path#f2-l4 {
  -webkit-animation-name: typing-f2-l4;
  animation-name: typing-f2-l4;
}

path#f2-l5 {
  -webkit-animation-name: typing-f2-l5;
  animation-name: typing-f2-l5;
}

path#f2-l6 {
  -webkit-animation-name: typing-f2-l6;
  animation-name: typing-f2-l6;
}

path#f3-l7 {
  -webkit-animation-name: typing-f3-l7;
  animation-name: typing-f3-l7;
}

path#f3-l8 {
  -webkit-animation-name: typing-f3-l8;
  animation-name: typing-f3-l8;
}

path#f3-l9 {
  -webkit-animation-name: typing-f3-l9;
  animation-name: typing-f3-l9;
}

@-webkit-keyframes typing-f3-l9 {
  0% {
    d: path("M8,25L8,25");
  }
  82% {
    d: path("M8,25L8,25");
  }
  92% {
    d: path("M8,25L96,25");
  }
  100% {
    d: path("M8,25L96,25");
  }
}

@keyframes typing-f3-l9 {
  0% {
    d: path("M8,25L8,25");
  }
  82% {
    d: path("M8,25L8,25");
  }
  92% {
    d: path("M8,25L96,25");
  }
  100% {
    d: path("M8,25L96,25");
  }
}
@-webkit-keyframes typing-f3-l8 {
  0% {
    d: path("M8,13L8,13");
  }
  68% {
    d: path("M8,13L8,13");
  }
  82% {
    d: path("M8,13L146,13");
  }
  100% {
    d: path("M8,13L146,13");
  }
}
@keyframes typing-f3-l8 {
  0% {
    d: path("M8,13L8,13");
  }
  68% {
    d: path("M8,13L8,13");
  }
  82% {
    d: path("M8,13L146,13");
  }
  100% {
    d: path("M8,13L146,13");
  }
}
@-webkit-keyframes typing-f3-l7 {
  0% {
    d: path("M0,1L0,1");
  }
  60% {
    d: path("M0,1L0,1");
  }
  68% {
    d: path("M0,1L96,1");
  }
  100% {
    d: path("M0,1L96,1");
  }
}
@keyframes typing-f3-l7 {
  0% {
    d: path("M0,1L0,1");
  }
  60% {
    d: path("M0,1L0,1");
  }
  68% {
    d: path("M0,1L96,1");
  }
  100% {
    d: path("M0,1L96,1");
  }
}
@-webkit-keyframes typing-f2-l6 {
  0% {
    d: path("M8,25L8,25");
  }
  54% {
    d: path("M8,25L8,25");
  }
  60% {
    d: path("M8,25L69,25");
  }
  100% {
    d: path("M8,25L69,25");
  }
}
@keyframes typing-f2-l6 {
  0% {
    d: path("M8,25L8,25");
  }
  54% {
    d: path("M8,25L8,25");
  }
  60% {
    d: path("M8,25L69,25");
  }
  100% {
    d: path("M8,25L69,25");
  }
}
@-webkit-keyframes typing-f2-l5 {
  0% {
    d: path("M8,13L8,13");
  }
  44% {
    d: path("M8,13L8,13");
  }
  54% {
    d: path("M8,13L114,13");
  }
  100% {
    d: path("M8,13L114,13");
  }
}
@keyframes typing-f2-l5 {
  0% {
    d: path("M8,13L8,13");
  }
  44% {
    d: path("M8,13L8,13");
  }
  54% {
    d: path("M8,13L114,13");
  }
  100% {
    d: path("M8,13L114,13");
  }
}
@-webkit-keyframes typing-f2-l4 {
  0% {
    d: path("M0,1L0,1");
  }
  30% {
    d: path("M0,1L0,1");
  }
  44% {
    d: path("M0,1L136,1");
  }
  100% {
    d: path("M0,1L136,1");
  }
}
@keyframes typing-f2-l4 {
  0% {
    d: path("M0,1L0,1");
  }
  30% {
    d: path("M0,1L0,1");
  }
  44% {
    d: path("M0,1L136,1");
  }
  100% {
    d: path("M0,1L136,1");
  }
}
@-webkit-keyframes typing-f1-l3 {
  0% {
    d: path("M8,25L8,25");
  }
  24% {
    d: path("M8,25L8,25");
  }
  30% {
    d: path("M8,25L61,25");
  }
  100% {
    d: path("M8,25L61,25");
  }
}
@keyframes typing-f1-l3 {
  0% {
    d: path("M8,25L8,25");
  }
  24% {
    d: path("M8,25L8,25");
  }
  30% {
    d: path("M8,25L61,25");
  }
  100% {
    d: path("M8,25L61,25");
  }
}
@-webkit-keyframes typing-f1-l2 {
  0% {
    d: path("M8,13L8,13");
  }
  14% {
    d: path("M8,13L8,13");
  }
  24% {
    d: path("M8,13L124,13");
  }
  100% {
    d: path("M8,13L124,13");
  }
}
@keyframes typing-f1-l2 {
  0% {
    d: path("M8,13L8,13");
  }
  14% {
    d: path("M8,13L8,13");
  }
  24% {
    d: path("M8,13L124,13");
  }
  100% {
    d: path("M8,13L124,13");
  }
}
@-webkit-keyframes typing-f1-l1 {
  0% {
    d: path("M0,1L0,1");
  }
  14% {
    d: path("M0,1L160,1");
  }
  100% {
    d: path("M0,1L160,1");
  }
}
@keyframes typing-f1-l1 {
  0% {
    d: path("M0,1L0,1");
  }
  14% {
    d: path("M0,1L160,1");
  }
  100% {
    d: path("M0,1L160,1");
  }
}
#paw-right--up,
#paw-right--down,
#paw-left--up,
#paw-left--down {
  -webkit-animation: blink 300ms infinite;
  animation: blink 300ms infinite;
}

#paw-right--up,
#paw-left--down {
  -webkit-animation-delay: 150ms;
  animation-delay: 150ms;
}

@-webkit-keyframes blink {
  0% {
    opacity: 0;
  }
  49% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}

@keyframes blink {
  0% {
    opacity: 0;
  }
  49% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}
#laptop__code {
  -webkit-transform: rotateX(-37deg) rotateY(-46deg) rotateZ(-23deg)
    translateX(8px) translateY(20px) translateZ(-50px);
  transform: rotateX(-37deg) rotateY(-46deg) rotateZ(-23deg) translateX(8px)
    translateY(20px) translateZ(-50px);
}
